//+------------------------------------------------------------------+
//|                                                   CtradeTest.mq5 |
//|                        Copyright 2016, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2016, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.001"
#include <Trade\Trade.mqh>
#include <Trade\SymbolInfo.mqh>  
//---
input string first   ="EURUSD";
input string second  ="USDJPY";
//---
CTrade         m_trade;                      // trading object
CSymbolInfo    m_symbol_1;                   // symbol info object for symbol "first"
CSymbolInfo    m_symbol_2;                   // symbol info object for symbol "second"
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
   m_symbol_1.Name(first);
   m_symbol_1.Refresh();
   m_symbol_2.Name(second);
   m_symbol_2.Refresh();

   RefreshRates();
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
   if(!RefreshRates())
      return;
   double bid_1=m_symbol_1.Bid();
   double bid_2=m_symbol_2.Bid();
   Comment(first," Bid: ",DoubleToString(bid_1,m_symbol_1.Digits()),"\n",
           second," Bid: ",DoubleToString(bid_2,m_symbol_2.Digits()));
  }
//+------------------------------------------------------------------+
//| Refreshes the symbol quotes data                                 |
//+------------------------------------------------------------------+
bool RefreshRates()
  {
//--- refresh rates
   if(!m_symbol_1.RefreshRates() || !m_symbol_2.RefreshRates())
      return(false);
//--- protection against the return value of "zero"
   if(m_symbol_1.Ask()==0 || m_symbol_1.Bid()==0 || m_symbol_2.Ask()==0 || m_symbol_2.Bid()==0)
      return(false);
//---
   return(true);
  }
//+------------------------------------------------------------------+
